Package org.zkoss.stateless.sul

## Enum ICoachmark.Position

- java.lang.Object
- - java.lang.Enum<ICoachmark.Position>
  - - org.zkoss.stateless.sul.ICoachmark.Position

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ICoachmark.Position>`
  Enclosing interface:
    ICoachmark<I extends IAnyGroup>

      public static enum ICoachmark.Position
      extends java.lang.Enum<ICoachmark.Position>

  Specify a popup's position when attaching to a component.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER_CENTER` | The component appears below the anchor, aligned to the center
    `AFTER_END` | The component appears below the anchor, aligned to the right
    `AFTER_POINTER` | The component appears with the top aligned with the bottom of the mouse cursor, with the left side of the component at the horizontal position of the mouse cursor.
    `AFTER_START` | The component appears below the anchor, aligned to the left
    `AT_POINTER` | The component appears with the upper-left aligned with the mouse cursor
    `BEFORE_CENTER` | The component appears above the anchor, aligned to the center
    `BEFORE_END` | The component appears above the anchor, aligned to the right
    `BEFORE_START` | The component appears above the anchor, aligned to the left
    `BOTTOM_CENTER` | The component overlaps the anchor, with anchor and component aligned at bottom-center
    `BOTTOM_LEFT` | The component overlaps the anchor, with anchor and component aligned at bottom-left
    `BOTTOM_RIGHT` | The component overlaps the anchor, with anchor and component aligned at bottom-right
    `END_AFTER` | The component appears to the right of the anchor, aligned to the bottom
    `END_BEFORE` | The component appears to the right of the anchor, aligned to the top
    `END_CENTER` | The component appears to the right of the anchor, aligned to the middle
    `MIDDLE_CENTER` | The component overlaps the anchor, with anchor and component aligned at middle-center
    `MIDDLE_LEFT` | The component overlaps the anchor, with anchor and component aligned at middle-left
    `MIDDLE_RIGHT` | The component overlaps the anchor, with anchor and component aligned at middle-right
    `START_AFTER` | The component appears to the left of the anchor, aligned to the bottom
    `START_BEFORE` | The component appears to the left of the anchor, aligned to the top
    `START_CENTER` | The component appears to the left of the anchor, aligned to the middle
    `TOP_CENTER` | The component overlaps the anchor, with anchor and component aligned at top-center
    `TOP_LEFT` | The component overlaps the anchor, with anchor and component aligned at top-left
    `TOP_RIGHT` | The component overlaps the anchor, with anchor and component aligned at top-right

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ICoachmark.Position` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ICoachmark.Position[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE_START

          public static final ICoachmark.Position BEFORE_START

      The component appears above the anchor, aligned to the left

    - #### BEFORE_CENTER

          public static final ICoachmark.Position BEFORE_CENTER

      The component appears above the anchor, aligned to the center

    - #### BEFORE_END

          public static final ICoachmark.Position BEFORE_END

      The component appears above the anchor, aligned to the right

    - #### AFTER_START

          public static final ICoachmark.Position AFTER_START

      The component appears below the anchor, aligned to the left

    - #### AFTER_CENTER

          public static final ICoachmark.Position AFTER_CENTER

      The component appears below the anchor, aligned to the center

    - #### AFTER_END

          public static final ICoachmark.Position AFTER_END

      The component appears below the anchor, aligned to the right

    - #### START_BEFORE

          public static final ICoachmark.Position START_BEFORE

      The component appears to the left of the anchor, aligned to the top

    - #### START_CENTER

          public static final ICoachmark.Position START_CENTER

      The component appears to the left of the anchor, aligned to the middle

    - #### START_AFTER

          public static final ICoachmark.Position START_AFTER

      The component appears to the left of the anchor, aligned to the bottom

    - #### END_BEFORE

          public static final ICoachmark.Position END_BEFORE

      The component appears to the right of the anchor, aligned to the top

    - #### END_CENTER

          public static final ICoachmark.Position END_CENTER

      The component appears to the right of the anchor, aligned to the middle

    - #### END_AFTER

          public static final ICoachmark.Position END_AFTER

      The component appears to the right of the anchor, aligned to the bottom

    - #### TOP_LEFT

          public static final ICoachmark.Position TOP_LEFT

      The component overlaps the anchor, with anchor and component aligned at top-left

    - #### TOP_CENTER

          public static final ICoachmark.Position TOP_CENTER

      The component overlaps the anchor, with anchor and component aligned at top-center

    - #### TOP_RIGHT

          public static final ICoachmark.Position TOP_RIGHT

      The component overlaps the anchor, with anchor and component aligned at top-right

    - #### MIDDLE_LEFT

          public static final ICoachmark.Position MIDDLE_LEFT

      The component overlaps the anchor, with anchor and component aligned at middle-left

    - #### MIDDLE_CENTER

          public static final ICoachmark.Position MIDDLE_CENTER

      The component overlaps the anchor, with anchor and component aligned at middle-center

    - #### MIDDLE_RIGHT

          public static final ICoachmark.Position MIDDLE_RIGHT

      The component overlaps the anchor, with anchor and component aligned at middle-right

    - #### BOTTOM_LEFT

          public static final ICoachmark.Position BOTTOM_LEFT

      The component overlaps the anchor, with anchor and component aligned at bottom-left

    - #### BOTTOM_CENTER

          public static final ICoachmark.Position BOTTOM_CENTER

      The component overlaps the anchor, with anchor and component aligned at bottom-center

    - #### BOTTOM_RIGHT

          public static final ICoachmark.Position BOTTOM_RIGHT

      The component overlaps the anchor, with anchor and component aligned at bottom-right

    - #### AT_POINTER

          public static final ICoachmark.Position AT_POINTER

      The component appears with the upper-left aligned with the mouse cursor

    - #### AFTER_POINTER

          public static final ICoachmark.Position AFTER_POINTER

      The component appears with the top aligned with the bottom of the mouse cursor, with the left side of the component at the horizontal position of the mouse cursor.

  - ### Method Detail

    - #### values

          public static ICoachmark.Position[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ICoachmark.Position c : ICoachmark.Position.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ICoachmark.Position valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null